/* Product icons */
.product-icons {
    margin: 0;
}

.product-icons ul {
    display: flex;
    flex-wrap: wrap;
    gap: 4px;
    padding-left: 0;
    margin: 0;
}

.product-icon-item {
    position: relative;
    list-style: none;
    height: 24px;
    width: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.product-icon-item img {
    max-height: 20px;
    width: auto;
    display: block;
}

.product-icon-title {
    opacity: 0;
    visibility: hidden;
    position: absolute;
    bottom: 100%;
    left: 50%;
    transform: translate(-50%, 6px);
    margin-bottom: 4px;
    background-color: rgba(0, 0, 0, 0.8);
    color: #fff;
    font-size: 12px;
    white-space: nowrap;
    transition: all 0.3s ease;
    display: block;
    padding: 6px 8px;
    border-radius: 4px;
    pointer-events: none;
    z-index: 10;
}

.product-icon-title span {
    margin-bottom: 0;
    display: block;
}

.product-icon-item:hover .product-icon-title {
    opacity: 1;
    visibility: visible;
    transform: translate(-50%, 0);
}

.wc-block-product ul.product-icons-list {
    justify-content: center;
}

.wc-block-product .wp-block-post-title {
    margin-bottom: 4px;
}

.wc-block-product .product-icon-item {
    background-color: #fff;
    padding: 4px;
    border-radius: 50%;
    height: 20px;
    width: 20px;
}

.wc-block-product .product-icon-item img {
    max-height: 16px;
}